Bug 329504 - Crash when changing IMAP server
Summary: Crash when changing IMAP server
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 4.11.4
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-01-01 17:43 UTC by Rolf Eike Beer
Modified: 2017-01-07 21:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2014-01-01 17:43:32 UTC
Application: kontact (4.11.4)
KDE Platform Version: 4.11.4
Qt Version: 4.8.5
Operating System: Linux 3.12.6-1.g080d0df-desktop x86_64
Distribution: "openSUSE 12.3 (x86_64)"

-- Information about the crash:
I'm in the process of migrating from one IMAP server to another. Both should contain very similar data. I changed the IMAP server in the configuration, which caused Kontact to crash. I'm not absolutely sure, but I think I had one folder of the affected account selected.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f168db10780 (LWP 4508))]

Thread 7 (Thread 0x7f167331a700 (LWP 4591)):
#0  0x00007f168520f964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1688939770 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f16889397a9 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f16329ff700 (LWP 4695)):
#0  0x00007f168520f964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f16886b5f47 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f1688960c9e in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f1625d72700 (LWP 4737)):
#0  0x00007f168b065293 in select () from /lib64/libc.so.6
#1  0x00007f168b7939e2 in QProcessManager::run (this=0x7f168bb134e0 <processManager()::processManager>) at io/qprocess_unix.cpp:247
#2  0x00007f168b6b90ec in QThreadPrivate::start (arg=0x7f168bb134e0 <processManager()::processManager>) at thread/qthread_unix.cpp:338
#3  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f161b1e8700 (LWP 5211)):
#0  0x00007f168b0634ed in poll () from /lib64/libc.so.6
#1  0x00007f1684c57aa4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f1684c57bc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f168b7e35d6 in QEventDispatcherGlib::processEvents (this=0x7f16140008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f168b7b3bef in QEventLoop::processEvents (this=this@entry=0x7f161b1e7e00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f168b7b3e78 in QEventLoop::exec (this=0x7f161b1e7e00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f168b6b6110 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007f168b6b90ec in QThreadPrivate::start (arg=0x1102e90) at thread/qthread_unix.cpp:338
#8  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f16116da700 (LWP 16105)):
#0  0x00007f168520f964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1625efafa7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f1626208660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f1625efafd9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f15e77fd700 (LWP 31636)):
#0  0x00007f168b0634ed in poll () from /lib64/libc.so.6
#1  0x00007f1684c57aa4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f1684c57bc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f168b7e35d6 in QEventDispatcherGlib::processEvents (this=0x7f160c02b5e0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f168b7b3bef in QEventLoop::processEvents (this=this@entry=0x7f15e77fcdd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f168b7b3e78 in QEventLoop::exec (this=0x7f15e77fcdd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f168b6b6110 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007f168b7943af in QInotifyFileSystemWatcherEngine::run (this=0xd286dc0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f168b6b90ec in QThreadPrivate::start (arg=0xd286dc0) at thread/qthread_unix.cpp:338
#9  0x00007f168520be0f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f168b06c44d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f168db10780 (LWP 4508)):
[KCrash Handler]
#6  size (this=0x21) at ../../src/corelib/tools/qvector.h:137
#7  QSortFilterProxyModelPrivate::proxy_to_source (this=0x79c2c60, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:370
#8  0x00007f168c746b3d in QSortFilterProxyModel::mapToSource (this=<optimized out>, proxyIndex=...) at itemviews/qsortfilterproxymodel.cpp:2519
#9  0x00007f168c747c91 in QSortFilterProxyModelPrivate::store_persistent_indexes (this=this@entry=0x79c2c60) at itemviews/qsortfilterproxymodel.cpp:996
#10 0x00007f168c74bec3 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x79c2c60, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1177
#11 0x00007f168b7ca44f in QMetaObject::activate (sender=0x6ab00b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16bbd0) at kernel/qobject.cpp:3556
#12 0x00007f168b814bc7 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:163
#13 0x00007f168c74bbaa in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x688f2f0, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1210
#14 0x00007f168b7bce57 in QMetaMethod::invoke (this=this@entry=0x7fffbd16bfb0, object=object@entry=0x6ab00b0, connectionType=connectionType@entry=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1664
#15 0x00007f168b7bf22c in QMetaObject::invokeMethod (obj=0x6ab00b0, member=<optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#16 0x00007f168ce95573 in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., type=Qt::DirectConnection, member=0x7f168d02c8cb "_q_sourceDataChanged", obj=0x6ab00b0) at /usr/include/QtCore/qobjectdefs.h:418
#17 invokeDataChanged (bottomRight=..., topLeft=..., this=<optimized out>) at /usr/src/debug/kdelibs-4.11.4/kdeui/itemviews/krecursivefilterproxymodel.cpp:55
#18 KRecursiveFilterProxyModelPrivate::sourceDataChanged (this=0x7730060, source_top_left=..., source_bottom_right=...) at /usr/src/debug/kdelibs-4.11.4/kdeui/itemviews/krecursivefilterproxymodel.cpp:131
#19 0x00007f168b7ca44f in QMetaObject::activate (sender=0x55e5500, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16c560) at kernel/qobject.cpp:3556
#20 0x00007f168b814bc7 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:163
#21 0x00007f168ce93807 in KIdentityProxyModelPrivate::_k_sourceDataChanged (this=<optimized out>, topLeft=..., bottomRight=...) at /usr/src/debug/kdelibs-4.11.4/kdeui/itemviews/kidentityproxymodel.cpp:573
#22 0x00007f168b7ca44f in QMetaObject::activate (sender=0x82bb410, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16c720) at kernel/qobject.cpp:3556
#23 0x00007f168b814bc7 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:163
#24 0x00007f168ce93807 in KIdentityProxyModelPrivate::_k_sourceDataChanged (this=<optimized out>, topLeft=..., bottomRight=...) at /usr/src/debug/kdelibs-4.11.4/kdeui/itemviews/kidentityproxymodel.cpp:573
#25 0x00007f168b7ca44f in QMetaObject::activate (sender=0x1314dd0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16c8e0) at kernel/qobject.cpp:3556
#26 0x00007f168b814bc7 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:163
#27 0x00007f168c74bbaa in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x13cd970, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1210
#28 0x00007f168b7ca44f in QMetaObject::activate (sender=0x130f530, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16cb90) at kernel/qobject.cpp:3556
#29 0x00007f168b814bc7 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:163
#30 0x00007f168a0652e5 in ?? () from /usr/lib64/libakonadi-kde.so.4
#31 0x00007f168a067e30 in ?? () from /usr/lib64/libakonadi-kde.so.4
#32 0x00007f168b7ca44f in QMetaObject::activate (sender=0x1a213fc0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16ce00) at kernel/qobject.cpp:3556
#33 0x00007f168a022c52 in Akonadi::CollectionFetchJob::collectionsReceived(QList<Akonadi::Collection> const&) () from /usr/lib64/libakonadi-kde.so.4
#34 0x00007f168a024cab in ?? () from /usr/lib64/libakonadi-kde.so.4
#35 0x00007f168b7ca44f in QMetaObject::activate (sender=0x1a213fc0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbd16cf80) at kernel/qobject.cpp:3556
#36 0x00007f168bc43f82 in KJob::result(KJob*) () from /usr/lib64/libkdecore.so.5
#37 0x00007f168bc43fc0 in KJob::emitResult() () from /usr/lib64/libkdecore.so.5
#38 0x00007f168b7c992e in QObject::event (this=0x1a213fc0, e=<optimized out>) at kernel/qobject.cpp:1203
#39 0x00007f168c1be92c in QApplicationPrivate::notify_helper (this=this@entry=0xe326f0, receiver=receiver@entry=0x1a213fc0, e=e@entry=0x5f352d0) at kernel/qapplication.cpp:4562
#40 0x00007f168c1c2dab in QApplication::notify (this=0x7fffbd16da20, receiver=0x1a213fc0, e=0x5f352d0) at kernel/qapplication.cpp:4423
#41 0x00007f168ced1016 in KApplication::notify (this=0x7fffbd16da20, receiver=0x1a213fc0, event=0x5f352d0) at /usr/src/debug/kdelibs-4.11.4/kdeui/kernel/kapplication.cpp:311
#42 0x00007f168b7b4f3e in QCoreApplication::notifyInternal (this=0x7fffbd16da20, receiver=receiver@entry=0x1a213fc0, event=event@entry=0x5f352d0) at kernel/qcoreapplication.cpp:949
#43 0x00007f168b7b88a1 in sendEvent (event=0x5f352d0, receiver=0x1a213fc0) at kernel/qcoreapplication.h:231
#44 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xdf72b0) at kernel/qcoreapplication.cpp:1573
#45 0x00007f168b7e3423 in sendPostedEvents () at kernel/qcoreapplication.h:236
#46 postEventSourceDispatch (s=0xe33880) at kernel/qeventdispatcher_glib.cpp:280
#47 0x00007f1684c577d5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#48 0x00007f1684c57b08 in ?? () from /usr/lib64/libglib-2.0.so.0
#49 0x00007f1684c57bc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#50 0x00007f168b7e35b6 in QEventDispatcherGlib::processEvents (this=0xdfc710, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#51 0x00007f168c25ee0e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#52 0x00007f168b7b3bef in QEventLoop::processEvents (this=this@entry=0x7fffbd16d890, flags=...) at kernel/qeventloop.cpp:149
#53 0x00007f168b7b3e78 in QEventLoop::exec (this=0x7fffbd16d890, flags=...) at kernel/qeventloop.cpp:204
#54 0x00007f168b7b8bb8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#55 0x0000000000403679 in ?? ()
#56 0x00007f168afa4a15 in __libc_start_main () from /lib64/libc.so.6
#57 0x0000000000403be1 in _start ()

Possible duplicates by query: bug 318169, bug 313143.

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 19:28:41 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 21:29:45 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.